Skip to main content
GET
/
v1
/
fingerprints
List visitor fingerprints
curl --request GET \
  --url https://api.tripwirejs.com/v1/fingerprints
{
  "data": [
    {
      "object": "visitor_fingerprint",
      "id": "vid_7cyvmdfjs3rzznf8m65v3bv51m",
      "lifecycle": {
        "first_seen_at": "2026-03-01T18:22:11.000Z",
        "last_seen_at": "2026-03-24T20:00:05.000Z",
        "seen_count": 14,
        "expires_at": "2026-03-24T20:00:05.000Z"
      },
      "latest_request": {
        "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 14_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36",
        "ip_address": "203.0.113.10"
      },
      "storage": {
        "cookies": true,
        "local_storage": true,
        "indexed_db": true,
        "service_worker": true,
        "window_name": true
      },
      "anchors": {
        "webgl_hash": "123456789",
        "parameters_hash": "-1234567890",
        "audio_hash": "1234567890"
      }
    }
  ],
  "pagination": {
    "limit": 50,
    "has_more": false,
    "next_cursor": "eyJ2IjoxLCJzY29yZWRBdCI6IjIwMjYtMDQtMTBUMDY6NDI6NDIuNTE0WiIsInJvd0lkIjoiMTc3In0"
  },
  "meta": {
    "request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
  }
}

Documentation Index

Fetch the complete documentation index at: https://tripwirejs.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200
Example:

50

cursor
string
Example:

"eyJ2IjoxLCJzY29yZWRBdCI6IjIwMjYtMDQtMTBUMDY6NDI6NDIuNTE0WiIsInJvd0lkIjoiMTc3In0"

Example:

"arm"

sort
enum<string>
Available options:
seen_count,
first_seen
Example:

"seen_count"

Response

Visitor fingerprint list response.

data
object[]
required
Example:
[
  {
    "object": "visitor_fingerprint",
    "id": "vid_7cyvmdfjs3rzznf8m65v3bv51m",
    "lifecycle": {
      "first_seen_at": "2026-03-01T18:22:11.000Z",
      "last_seen_at": "2026-03-24T20:00:05.000Z",
      "seen_count": 14,
      "expires_at": "2026-03-24T20:00:05.000Z"
    },
    "latest_request": {
      "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 14_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36",
      "ip_address": "203.0.113.10"
    },
    "storage": {
      "cookies": true,
      "local_storage": true,
      "indexed_db": true,
      "service_worker": true,
      "window_name": true
    },
    "anchors": {
      "webgl_hash": "123456789",
      "parameters_hash": "-1234567890",
      "audio_hash": "1234567890"
    }
  }
]
pagination
object
required
Example:
{
  "limit": 50,
  "has_more": false,
  "next_cursor": "eyJ2IjoxLCJzY29yZWRBdCI6IjIwMjYtMDQtMTBUMDY6NDI6NDIuNTE0WiIsInJvd0lkIjoiMTc3In0"
}
meta
object
required
Example:
{
  "request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
}